×
INTELLIGENT WORK FORUMS
FOR ENGINEERING PROFESSIONALS

Log In

Come Join Us!

Are you an
Engineering professional?
Join Eng-Tips Forums!
  • Talk With Other Members
  • Be Notified Of Responses
    To Your Posts
  • Keyword Search
  • One-Click Access To Your
    Favorite Forums
  • Automated Signatures
    On Your Posts
  • Best Of All, It's Free!
  • Students Click Here

*Eng-Tips's functionality depends on members receiving e-mail. By joining you are opting in to receive e-mail.

Posting Guidelines

Promoting, selling, recruiting, coursework and thesis posting is forbidden.

Students Click Here

Open TeamCenter Item from NX Navigator

Open TeamCenter Item from NX Navigator

Open TeamCenter Item from NX Navigator

(OP)
Seems like you should be able to click on a component in the NX navigator and open that Item in TC. Only way I've found is to right click the component copy the name from properties and paste it in TC item search.

Years back when I worked for this company I wrote a grip that would suck out the part name by selecting a component from the Navigator, file to a text file and startup a AutoHotkey script that would take that Item name and past to the TC search window. Now they have the Blade Server permissions so I can't even run a AHK script.

We're running NX 12 BTW

RE: Open TeamCenter Item from NX Navigator

Hi,
What's your TC version ?

Regards
Didier Psaltopoulos
http://www.psi-cad.fr

RE: Open TeamCenter Item from NX Navigator

(OP)
TC 12

RE: Open TeamCenter Item from NX Navigator

Hi Baron,
I have TC12.2 and I have "open" under right mouse then it works

Regards
Didier Psaltopoulos
http://www.psi-cad.fr

RE: Open TeamCenter Item from NX Navigator

If you right-click on your component, you have the option "Teamcenter Information".
This should bring you to Teamcenter and show the part you had selected.

But...most probably it will bring you to the Teamcenter Navigator in NX, not to the rich client.
Can't test this because we have Active Workspace as Navigator in NX

Ronald van den Broek
Senior Application Engineer
Winterthur Gas & Diesel Ltd
NX9 / TC10.1.2

Building new PLM environment from Scratch using NX12 / TC11

RE: Open TeamCenter Item from NX Navigator

(OP)
Hi Didier.

I don't seem to get any option to open TC from the NX Navigator.

RE: Open TeamCenter Item from NX Navigator

(OP)
Thx NutAce.

You're correct it does open select component in an NC Active Workspace. I'm not used to working in that space (maybe I should be). Doesn't seem like I have all the options as in the real TC client.

RE: Open TeamCenter Item from NX Navigator

Hi Barnon,
Sorry for the mistake. I was talking about the TC Navigator and not the Assy Navigator

Regards
Didier Psaltopoulos
http://www.psi-cad.fr

RE: Open TeamCenter Item from NX Navigator

To my knowledge this action does not exist.
If you run the "Active Workspace", a dedicated Teamcenter tab will exist in NX , with some of Teamcenters capabilities enabled.
I think for example that you can release an item from the Active workspace in NX.

I do know that the option to, easily, open a related drawing from NX when you have the model loaded will be implemented "soon". ( i have no date nor NX version)

Regards,
Tomas

RE: Open TeamCenter Item from NX Navigator

(OP)
This is the Journal I use to pull up drawings from the Models in the Navigator. I think I got it from this site. I had to add buttload of extra extensions since we don't seem to follow any specific naming convention for our drawings.

Option Strict Off


Imports System

Imports System.Collections.Generic

Imports System.IO

Imports System.Windows.Forms

Imports NXOpen

Imports NXOpen.Assemblies

Imports NXOpen.UF

Imports NXOpen.UI

Module NXJournal


Dim theSession As Session = Session.GetSession()

Dim workPart = theSession.Parts.Work

Dim theUFS As NXOpen.UF.UFSession = NXOpen.UF.UFSession.GetUFSession()

Dim theUI As UI = ui.GetUI

Dim curSession As NXOpen.Session = NXOpen.Session.GetSession()

'Dim lw As ListingWindow = theSession.ListingWindow

Dim lg As LogFile = theSession.LogFile


Dim SelectedList As New List(Of String)

Dim bolSelected As Boolean = False


Dim objSelected As NXObject

Dim intType As Integer

Dim intSubType As Integer

Dim ExtensionList As New List(Of String)

Dim blnFoundSpec As Boolean = False



Sub Main()

'lw.Open()

lg.WriteLine("~~ Journal: Open_Specification.vb ~~")

lg.WriteLine(" timestamp: " & Now)


BuildExtensionList()


Try

lg.WriteLine(" Find out if components are selected.")

AreComponentsSelected()

If bolSelected = False Then

lg.WriteLine(" No components are selected.")

lg.WriteLine(" Open drawing for current work part.")

OpenDrawings(workPart.GetStringAttribute("DB_PART_NO") & "/" & workPart.GetStringAttribute("DB_PART_REV"))

OpenDrawings2(workPart.GetStringAttribute("DB_PART_NO") & "/" & workPart.GetStringAttribute("DB_PART_REV"))

Else

For Each selectedcomponent As String in SelectedList

lg.WriteLine(" Components are selected.")

lg.WriteLine(" Open drawing for selected parts.")

OpenDrawings(selectedcomponent)
OpenDrawings2(selectedcomponent)


Next

End If

If blnFoundSpec Then

curSession.ApplicationSwitchImmediate("UG_APP_DRAFTING")

Else

MessageBox.Show("(NO DWG found)", "", MessageBoxButtons.OK, MessageBoxIcon.Stop)

End If


Catch ex As Exception

lg.WriteLine(" Error in Sub Main: " & ex.Message)

End Try

'lw.Close()

lg.WriteLine("~~ Journal: Open_Specification.vb completed ~~")

lg.WriteLine(" timestamp: " & Now)

End Sub


Sub AreComponentsSelected()

Try

Dim intNumSelected As Integer = theUI.SelectionManager.GetNumSelectedObjects()

If intNumSelected = 0 Then

bolSelected = False

Exit Sub

End If


For i As Integer = 0 To intNumSelected-1

objSelected = theUI.SelectionManager.GetSelectedObject(i)

theUFS.Obj.AskTypeAndSubtype(objSelected.Tag, intType, intSubType)

If intType = UFConstants.UF_component_type Then

Dim theComp As Component = DirectCast(objSelected, Component)

SelectedList.Add(theComp.DisplayName)

bolSelected = True

End If

Next

Catch ex As Exception

lg.WriteLine(" Error in Sub AreComponentsSelected: " & ex.Message)

End Try


End Sub


Sub BuildExtensionList()

'Add new extensions to this list.

'This list should be sorted by most commonly used extension as opening will be attempted in this order.

ExtensionList.Add("-1")

ExtensionList.Add("-Dwg")

ExtensionList.Add("-dwg")

ExtensionList.Add("-DWG")

ExtensionList.Add("_Dwg")

ExtensionList.Add("_dwg")

ExtensionList.Add("_DWG")
End Sub



Sub OpenDrawings(ByVal OpenMe As String)

Dim strExtension As String

Dim strSplitString() As String = Split(OpenMe, "/")

Dim strPartNo As String = strSplitString(0)

Dim strRevNum As String = strSplitString(1)

Dim strOpenString As String = ""


For Each strExtension In ExtensionList

Try

'MessageBox.Show("@DB/" & strPartNo & "/" & strRevNum & "/specification/" & strPartNo & "-" & strRevNum & strExtension)

strOpenString = "@DB/" & strPartNo & "/" & strRevNum & "/specification/" & strPartNo & "-" & strRevNum & strExtension


Try

theSession.Parts.SetNonmasterSeedPartData(strOpenString)

Dim prtBasePart As BasePart

Dim lsBasePart As PartLoadStatus

prtBasePart = theSession.Parts.OpenBaseDisplay(strOpenString, lsBasePart)

lsBasePart.Dispose()

blnFoundSpec = True

Exit For


Catch exc As Exception

Dim prtPart As Part = CType(theSession.Parts.FindObject(strOpenString), Part)

Dim lsPart As PartLoadStatus

Dim status1 As PartCollection.SdpsStatus

status1 = theSession.Parts.SetDisplay(prtPart, False, True, lsPart)

lsPart.Dispose()

blnFoundSpec = True

Exit For


End Try


Catch ex As Exception

lg.WriteLine(" Error in Sub OpenDrawings:")

lg.WriteLine(" " & ex.Message & ": " & strOpenString)

End Try

Next

End Sub

Sub OpenDrawings2(ByVal OpenMe As String)

Dim strExtension As String

Dim strSplitString() As String = Split(OpenMe, "/")

Dim strPartNo As String = strSplitString(0)

Dim strRevNum As String = strSplitString(1)

Dim strOpenString As String = ""


For Each strExtension In ExtensionList

Try

'MessageBox.Show("@DB/" & strPartNo & "/" & strRevNum & "/specification/" & strPartNo & strExtension)

strOpenString = "@DB/" & strPartNo & "/" & strRevNum & "/specification/" & strPartNo & strExtension


Try

theSession.Parts.SetNonmasterSeedPartData(strOpenString)

Dim prtBasePart As BasePart

Dim lsBasePart As PartLoadStatus

prtBasePart = theSession.Parts.OpenBaseDisplay(strOpenString, lsBasePart)

lsBasePart.Dispose()

blnFoundSpec = True

Exit For


Catch exc As Exception

Dim prtPart As Part = CType(theSession.Parts.FindObject(strOpenString), Part)

Dim lsPart As PartLoadStatus

Dim status1 As PartCollection.SdpsStatus

status1 = theSession.Parts.SetDisplay(prtPart, False, True, lsPart)

lsPart.Dispose()

blnFoundSpec = True

Exit For


End Try


Catch ex As Exception

lg.WriteLine(" Error in Sub OpenDrawings:")

lg.WriteLine(" " & ex.Message & ": " & strOpenString)

End Try

Next

End Sub


Public Function GetUnloadOption(ByVal dummy As String) As Integer

GetUnloadOption = UFConstants.UF_UNLOAD_IMMEDIATELY

End Function

End Module



RE: Open TeamCenter Item from NX Navigator

Why don't you use the Reference in Teamcenter to find it? for the selected 3D just find the Manifestation or Specification (don't know which relation is used in your Teamcenter) which is referenced by it.
Then you don't need to know the name.

Ronald van den Broek
Senior Application Engineer
Winterthur Gas & Diesel Ltd
NX9 / TC10.1.2

Building new PLM environment from Scratch using NX12 / TC11

RE: Open TeamCenter Item from NX Navigator

(OP)
NutAce.

I would like to learn about the method you speak of. The above program has worked flawlessly except for one part that I have changed the name many many times and it still will not work. The above program seems to be pulling them from the name shown in red below. How can I find out which relation is used?

RE: Open TeamCenter Item from NX Navigator

You can find the relation using Impact analysis in Teamcenter.
Check if you have the Were referenced Pom option. If not, then you have to create it in the Teamcenter options as below.
Be careful, you have to use the exact upper and lower case in the preference naming, otherwise it will not work.


Once created, select the UGPart. it will show the relations in the Impact analysis.


Right-clik on the "clips" and select view properties.


Do this for each clip until you find the one showing the UGPart as Primary reference and the UGMaster as Secondary.
It should show you the relations as shown below.



I actually learned at PLM Europe last week, that the "Open Drawing" functionality will come in one of the next releases of NX. I believe it will be in NX1899

Ronald van den Broek
Senior Application Engineer
Winterthur Gas & Diesel Ltd
NX9 / TC10.1.2

Building new PLM environment from Scratch using NX12 / TC11

RE: Open TeamCenter Item from NX Navigator

(OP)
Thanks NutAce. Is there another way in the Journal to access that directly?

RE: Open TeamCenter Item from NX Navigator

I would say this is the easiest. The only other one I would say is looking for it by name, but then you have to have strict naming rules.

Ronald van den Broek
Senior Application Engineer
Winterthur Gas & Diesel Ltd
NX9 / TC10.1.2

Building new PLM environment from Scratch using NX12 / TC11

Red Flag This Post

Please let us know here why this post is inappropriate. Reasons such as off-topic, duplicates, flames, illegal, vulgar, or students posting their homework.

Red Flag Submitted

Thank you for helping keep Eng-Tips Forums free from inappropriate posts.
The Eng-Tips staff will check this out and take appropriate action.

Reply To This Thread

Posting in the Eng-Tips forums is a member-only feature.

Click Here to join Eng-Tips and talk with other members! Already a Member? Login


Resources

White Paper - How ESI is Helping Move New Medical Device Product to Market Quicker & More Cost Effic
Early Supplier Involvement has long been a strategy employed by manufacturers to produce innovative products. Now, it almost seems like a necessity. Because decisions made in the design phase can positively affect product quality and costs, this can help add value to OEM bottom lines. This white paper will discuss many facets of ESI, including why it’s so valuable today, what challenges limit the benefits of ESI, how cost is impacted, and more. Download Now
White Paper - Moving to a Driverless Future
This white paper describes what we see as the best practices to support a sustainable engineering process for autonomous vehicle design. It exposes how to use simulation and testing in common frameworks to enable design exploration, verification and validation for the development of autonomous cars at a system, software and full-vehicle level to drive a mature product development process for automated driving. Download Now
Research Report - How Engineers are Using Remote Access
Remote access enables engineers to work from anywhere provided they have an internet connection. We surveyed our audience of engineers, designers and product managers to learn how they use remote access within their organizations. We wanted to know which industries have adopted remote access, which software they are using, and what features matter most. Download Now

Close Box

Join Eng-Tips® Today!

Join your peers on the Internet's largest technical engineering professional community.
It's easy to join and it's free.

Here's Why Members Love Eng-Tips Forums:

Register now while it's still free!

Already a member? Close this window and log in.

Join Us             Close